| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Layout.Minimize

Portability | not portable
Stability | unstable
Maintainer | jan.vornberger@informatik.uni-oldenburg.de

Contents

Usage

Description
Makes it possible to minimize windows, temporarily removing them from the layout until they are restored.
Synopsis

minimize :: LayoutClass l Window => l Window -> ModifiedLayout Minimize l Window

data MinimizeMsg

= MinimizeWin Window
| RestoreMinimizedWin Window
| RestoreNextMinimizedWin

Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

     import XMonad.Layout.Minimize

Then edit your `layoutHook` by adding the Minimize layout modifier:

     myLayout = minimize (Tall 1 (3/100) (1/2)) ||| Full ||| etc..
     main = xmonad defaultConfig { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

In the key-bindings, do something like:

            , ((modm,               xK_m     ), withFocused (\f -> sendMessage (MinimizeWin f)))
            , ((modm .|. shiftMask, xK_m     ), sendMessage RestoreNextMinimizedWin)

The first action will minimize the focused window, while the second one will restore the next minimized window.

For detailed instruction on editing the key binding see:

XMonad.Doc.Extending.

The module is designed to work together with XMonad.Layout.BoringWindows so that minimized windows will be skipped when switching the focus window with the keyboard. Use the `boringAuto` function.

Also see XMonad.Hooks.RestoreMinimized if you want to be able to restore minimized windows from your taskbar.

minimize :: LayoutClass l Window => l Window -> ModifiedLayout Minimize l Window | Source

data MinimizeMsg | Source

Constructors

MinimizeWin Window |
RestoreMinimizedWin Window |
RestoreNextMinimizedWin |

Instances

Eq MinimizeMsg
Typeable MinimizeMsg
Message MinimizeMsg

Produced by Haddock version 2.4.2